#version 130

in vec3 aPos;
in vec3 aNormal;

uniform mat4 uMVP;
uniform mat4 uModel;

out vec3 Normal;
out vec3 FragPos;

void main()
{
    FragPos = vec3(uModel * vec4(aPos, 1.0));
    
    Normal = aNormal;
    gl_Position = uMVP * vec4(aPos, 1.0);
}
